/* $Id: test16.c,v 1.5 2009/01/27 15:58:54 potyra Exp $ 
 *
 * Copyright (C) 2008-2009 FAUcc Team <info@faumachine.org>.
 * This program is free software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License, either version 2 of
 * the License, or (at your option) any later version. See COPYING.
 */
enum bool {
        false = 0,
	true
};

int
f(char c, int i)
{
	return (c > i) || i;
}

int
f1(double l)
{
        int i = l + 1;
	return i;
}

int
f2(double l)
{
	int i = l;
	return i + 1;
}

enum bool
f3(char c)
{
	enum bool b = c;
	return b;
}

inline int
f4(int i)
{
        return i;
}

int
f5(char c)
{
	return f4(c);
}
